#ifndef CHAINGRID_H
#define CHAINGRID_H

#include <vector>
#include <wx/string.h>
#include "monochromegrid.h"

class wxWindow;

class ChainGrid : public MonochromeGrid
{
public:
    ChainGrid ( wxWindow *parent, int id, const std::vector<wxString> &v, size_t sliceNo, int cellHeight, int cellWidth = -1, bool verticalConstraint = true );
    void getChainVector ( std::vector<wxString> *chainVector );
private:
    void setEffectName( int row );
    std::vector<wxString> effectsVector;
};

#endif
