#ifndef ARGHANDLER_H
#define ARGHANDLER_H

#include <map>
#include <string>
#include <vector>

class ArgHandler
{
public:
    ArgHandler ( int argcParameter, char *argvParameter[] );
    bool argIsSet(char c);
    int getArgMapInt(char c);
    std::string getArgMapString(char c);
    void getArgMapIntVector(char c, std::vector<size_t>& v);
    void getArgVectorRemaining(std::vector<std::string>& v);
private:
    std::map<char, std::string> argMap;
    std::vector<std::string> argVector;
};

#endif
